#include <iostream>
#include <algorithm>
#include <set>

using namespace std;

int main() {
    int n,m, ans=0;
    cin >> n >> m;
    set <int> b, c;
    multiset <int> a;
    for(int i=0;i<m;i++){
        int x;
        cin >> x;
        a.insert(x);
        b.insert(x);
    }
    for(auto it = b.begin(); it!=b.end(); it++){
        if(a.count(*it)>=n){
            ans++;
            c.insert(*it);
        }
    }
    cout << ans << endl;
    for(auto it = c.begin(); it!=c.end(); it++)
        cout << *it << " ";
    return 0;
}